<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
    PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
    "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.demo.mapper.EnterpriseMapper">
    <resultMap type="com.ruoyi.demo.entity.Enterprise" id="EnterpriseResult">
        <result property="enterpriseUsci" column="enterprise_usci"/>
        <result property="enterpriseImg" column="enterprise_img"/>
        <result property="enterpriseName" column="enterprise_name"/>
        <result property="addrCode" column="addr_code"/>
        <result property="addrInfo" column="addr_info"/>
        <result property="enterpriseInfo" column="enterprise_info"/>
        <result property="manageRangeInfo" column="manage_range_info"/>
        <result property="enterpriseScale" column="enterprise_scale"/>
        <result property="registeredCapital" column="registered_capital"/>
        <result property="createTime" column="create_time"/>
        <result property="enterpriseItin" column="enterprise_itin"/>
        <result property="businessStatus" column="business_status"/>
        <result property="industryCode" column="industry_code"/>
        <result property="enterpriseType" column="enterprise_type"/>
        <result property="creditScore" column="credit_score"/>
        <result property="updateTime" column="update_time"/>
    </resultMap>
    <select id="searchByUsci" resultMap="EnterpriseResult">
        select * from ddt_enterprise where enterprise_usci = #{enterpriseUsci}
    </select>
</mapper>
